package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.app.domain.LeaseApplyInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

@Mapper
public interface LeaseApplyInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(LeaseApplyInfo record);
   LeaseApplyInfo selectByTaskIdAndCompId(@Param("taskId") String taskId, @Param("companyId") Integer companyId);

    int insertOrUpdate(LeaseApplyInfo record);

    int insertOrUpdateSelective(LeaseApplyInfo record);

    int insertSelective(LeaseApplyInfo record);

    LeaseApplyInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LeaseApplyInfo record);

    int updateByPrimaryKey(LeaseApplyInfo record);

    int updateBatch(List<LeaseApplyInfo> list);

    int updateBatchSelective(List<LeaseApplyInfo> list);

    int batchInsert(@Param("list") List<LeaseApplyInfo> list);

    LeaseApplyInfo selectByTaskIdAndCompIdCq(@Param("taskId") String taskId);
}